<?php
session_start();
include 'db.php';

if (!isset($_SESSION['admin_id'])) {
    header("Location: admin_login.php");
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (isset($_POST['action'])) {
        $task_id = $_POST['task_id'];

        if ($_POST['action'] == 'delete') {
            $sql = "DELETE FROM tasks WHERE id='$task_id'";
            if ($conn->query($sql) === TRUE) {
                echo "Task deleted successfully!";
            } else {
                echo "Error deleting task: " . $conn->error;
            }
        }
    } else {
        $title = $_POST['title'];
        $description = $_POST['description'];
        $link = $_POST['link'];
        $coins = $_POST['coins'];
        $status = 'active';

        $sql = "INSERT INTO tasks (title, description, link, coins, status) VALUES ('$title', '$description', '$link', '$coins', '$status')";
        if ($conn->query($sql) === TRUE) {
            echo "Task posted successfully!";
        } else {
            echo "Error posting task: " . $conn->error;
        }
    }
}

// Fetch active tasks
$sql_tasks = "SELECT * FROM tasks";
$tasks = $conn->query($sql_tasks);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Manage Tasks</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>
    <div class="container mt-5">
        <h2 class="text-center">Manage Tasks</h2>
        
        <div class="mb-4">
            <h4>Add New Task</h4>
            <form method="post">
                <div class="mb-3">
                    <label for="title" class="form-label">Task Title</label>
                    <input type="text" class="form-control" name="title" required>
                </div>
                <div class="mb-3">
                    <label for="description" class="form-label">Task Description</label>
                    <textarea class="form-control" name="description" required></textarea>
                </div>
                <div class="mb-3">
                    <label for="link" class="form-label">Task Link</label>
                    <input type="url" class="form-control" name="link" required>
                </div>
                <div class="mb-3">
                    <label for="coins" class="form-label">Coins Reward</label>
                    <input type="number" class="form-control" name="coins" required>
                </div>
                <button type="submit" class="btn btn-primary">Post Task</button>
            </form>
        </div>
        
        <h4>Active Tasks</h4>
        <?php if ($tasks->num_rows > 0): ?>
            <ul class="list-group">
                <?php while ($task = $tasks->fetch_assoc()): ?>
                    <li class="list-group-item">
                        <strong><?php echo $task['title']; ?></strong><br>
                        <?php echo $task['description']; ?><br>
                        <a href="<?php echo $task['link']; ?>" target="_blank">Perform Task</a><br>
                        <strong>Reward:</strong> <?php echo $task['coins']; ?> coins<br>
                        <form method="post" class="mt-2">
                            <input type="hidden" name="task_id" value="<?php echo $task['id']; ?>">
                            <button type="submit" name="action" value="delete" class="btn btn-danger">Delete Task</button>
                        </form>
                    </li>
                <?php endwhile; ?>
            </ul>
        <?php else: ?>
            <p>No tasks available.</p>
        <?php endif; ?>
    </div>
</body>
</html>
